RubyGems Navigation menu

jekyll-auth 2.1.3

A simple way to use GitHub OAuth to serve a protected jekyll site to your GitHub organization.

Versions:

  1. 2.1.3 - August 19, 2022 (24 KB)
  2. 2.1.2 - March 30, 2021 (22.5 KB)
  3. 2.1.1 - March 08, 2018 (22 KB)
  4. 2.1.0 - October 13, 2016 (16.5 KB)
  5. 2.0.0 - November 11, 2015 (15.5 KB)
Show all versions (24 total)

Runtime Dependencies (12):

  • activesupport >= 5, < 8
  • colorator ~> 1.0
  • dotenv ~> 2.0
  • jekyll ~> 4.0
  • mercenary ~> 0.3
  • rack >= 1.6, < 3.0
  • rack-protection >= 1.5.5, < 3.0
  • rack-ssl-enforcer ~> 0.2
  • rake ~> 13.0
  • safe_yaml ~> 1.0
  • sinatra_auth_github >= 1.1, < 3.0
  • sinatra-index ~> 0.0
  • Development Dependencies (7):

  • pry ~> 0.10
  • rack-test ~> 2.0
  • rspec ~> 3.1
  • rubocop ~> 0.49, >= 0.49.0
  • rubocop-jekyll ~> 0.11.0
  • rubocop-performance ~> 1.0
  • webmock ~> 2.3
  • Owners:

    Pushed by:

    Authors:

    • Ben Balter

    SHA 256 checksum:

    4a5eb67145f4ab6d9830ba55859bac0bc54718d8ba2b926ea4e2bbe9e96cd361

    Total downloads 68,555

    For this version 233

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: